package myPackage;

import java.util.Observable;
import java.util.Observer;

//An observer of price changes.
public class PriceObserver implements Observer {
	private float price;

	public PriceObserver(ConcreteSubject cs) {
        cs.addObserver(this);
		price = cs.getPrice();
		System.out.println("PriceObserver created: Price is " + price);
	}

	public void update(Observable obj, Object arg) {
        ConcreteSubject cs = (ConcreteSubject)obj;
        if (cs.getPrice()!= price) {
            price = cs.getPrice();
            System.out.println("PriceObserver: Price changed to " + price);
        }
	}
}
